/* eslint-disable no-unused-vars */
/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1661345954202_4937';

  // add your middleware config here
  config.middleware = [ 'errorHandler' ];

  config.errorHandler = {
    match: '/webtool',
  };
  // 解析formdata
  config.multipart = {
    mode: 'file',
  };
  // onerror
  config.onerror = {
    all(_err, ctx) {
      // 在此处定义针对所有响应类型的错误处理方法
      // 注意，定义了 config.all 之后，其他错误处理方法不会再生效
      ctx.body = 'error';
      ctx.status = 500;
    },
    html(_err, ctx) {
      // html hander
      ctx.body = '<h3>error</h3>';
      ctx.status = 500;
    },
    json(_err, ctx) {
      // json hander
      ctx.body = { message: 'error' };
      ctx.status = 500;
    },
    jsonp(_err, _ctx) {
      // 一般来说，不需要特殊针对 jsonp 进行错误定义，jsonp 的错误处理会自动调用 json 错误处理，并包装成 jsonp 的响应格式
    },
  };

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  // cros允许请求
  config.security = {
    csrf: {
      enable: false,
    },
    domainWhiteList: [ '*' ], // 允许访问域名的白名单,*表示都能访问
  };
  config.cors = {
    origin: '*',
    allowMethods: 'GET,HEAD,PUT,POST,DELETE,PATCH,OPTIONS',
    credentials: true,
  };

  // jwt鉴权
  config.jwt = {
    secret: '1148547900',
  };

  // sequelize  【dialect】 support: mysql, mariadb, postgres, mssql
  config.sequelize = {
    dialect: 'mysql',
    database: 'tasks', // webtool_database
    host: '192.168.40.68', // 192.168.40.6  124.221.146.79  192.168.40.68
    port: 3306,
    username: 'root',
    password: '123456', // nangao2019-
  };

  return {
    ...config,
    ...userConfig,
  };
};
