'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    const { INTEGER, DATE, STRING, JSON } = Sequelize;
    await queryInterface.createTable('projects', {
      id: { type: INTEGER, primaryKey: true, autoIncrement: true },
      project_name: STRING(255),
      project_address: STRING(255),
      project_user_id: INTEGER,
      deadline: DATE,
      logo_url: STRING(255),
      org_id: INTEGER,
      proxy_string: STRING(255),
      pro_env: STRING(512),
      dev_env: STRING(512),
      test_env: STRING(512),
      output_path: STRING(255),
      user_list: JSON,
      user_info_list: JSON,
      created_at: DATE,
      updated_at: DATE,
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('projects');
  },
};
